<?xml version='1.0'?>
<xsl:stylesheet version="1.0" 
		xmlns="http://www.w3.org/1999/xhtml"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:sr="http://www.w3.org/2005/sparql-results#"
		xmlns:sri="http://www.onistt.org/sparql"
		xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/"
		>
  <xsl:param name="selection" />

<xsl:template name="striptop">
  <xsl:param name="bv"/>
  <xsl:for-each select="$bv/*">
    <xsl:call-template name="striprec">
      <xsl:with-param name="bvr" select="."/>
    </xsl:call-template>
    <xsl:if test="position()!=last()">, </xsl:if>
  </xsl:for-each>
</xsl:template>

<xsl:template name="striprec">
  <xsl:param name="bvr"/>
  <xsl:choose>
    <xsl:when test="name($bvr) = 'sri:list'">
      <xsl:text>[</xsl:text>
      <xsl:for-each select="$bvr/*">
        <xsl:call-template name="striprec">
          <xsl:with-param name="bvr" select="."/>
        </xsl:call-template>
        <xsl:if test="position()!=last()">, </xsl:if>
      </xsl:for-each>
      <xsl:text>]</xsl:text>
    </xsl:when>
    <xsl:otherwise>
      <xsl:variable name="bvrs">
          <xsl:value-of select="$bvr"/>
      </xsl:variable>
      <xsl:choose>
        <xsl:when test="contains($bvrs,'#')">
          <xsl:value-of select="substring-after($bvrs,'#')"/>
        </xsl:when>
        <xsl:otherwise>
	  <xsl:choose>
            <xsl:when test="contains($bvrs,'.jpg')">
	      <img> 
	      <xsl:attribute name="src">
              <xsl:value-of select="$bvrs"/>
	      </xsl:attribute>
	      <xsl:attribute name="width">
		100
	      </xsl:attribute>
	      </img>
            </xsl:when>
            <xsl:otherwise>
	      <xsl:choose>
		<xsl:when test="contains($bvrs,'http')">
		  <a>
                    <xsl:attribute name="href">
		            <xsl:value-of select="$bvrs"/>
                    </xsl:attribute>
		    Reference
                  </a>
		</xsl:when>
		<xsl:otherwise>
		  <xsl:choose>
		    <xsl:when test="contains($bvrs,'.0')">
		      <xsl:text>$</xsl:text>
		      <xsl:value-of select="substring-before($bvrs,'.0')"/>
		    </xsl:when>
		    <xsl:otherwise>
		      <xsl:value-of select="$bvrs"/>
		    </xsl:otherwise>
		  </xsl:choose>
		</xsl:otherwise>
	      </xsl:choose>
	    </xsl:otherwise>
	  </xsl:choose>
        </xsl:otherwise>
      </xsl:choose>
    </xsl:otherwise>
  </xsl:choose>
</xsl:template>

  <xsl:template match="/">
    <html id="test">
      <head>
	<style type="text/css">
	    {font:12px;}
	    </style>
      </head>
      <body>
	<table border="1" cellspacing="0" bgcolor="#FFF8C6">
	    <tr>
	        <xsl:for-each select="sr:sparql/sr:head/sr:variable">
		      <td>
			      <b><xsl:value-of select="@name"/></b>
			          </td>
		</xsl:for-each>    
		  </tr>
	      <xsl:for-each select="sr:sparql/sr:results/sr:result">
		      <tr>
                       <xsl:for-each select="sr:binding"> 
                         <td>
			   <xsl:call-template name="striptop">
			     <xsl:with-param name="bv" select="."/>
			   </xsl:call-template>
			 </td>
 		       </xsl:for-each> 
		      </tr>
	      </xsl:for-each>
	</table>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
